<div class="row" style="height: 100px;background-color: #014254">
  <h1 style="color: snow;font-size: 20px;margin-top: 35px;margin-left: 25px; "> ข้อมูลส่วนตัว</h1>
</div>

<div style="margin: 20px;">
  <form style="padding-top: 10px;padding-left: 20px;padding-right: 20px;">


  
    <p>
      <mat-form-field appearance="fill" style="width: 35%">
        <mat-label>ชื่อ</mat-label>
        <input matInput style="color: #1d6a96" disabled value="{{user[0].fname}}">
      </mat-form-field>
      <mat-form-field appearance="fill" style="width: 35%; margin-left: 10px">
        <mat-label>นามสกุล</mat-label>
        <input matInput style="color: #1d6a96 ;" disabled value="{{user[0].lname}}">
      </mat-form-field>
    </p>

    <p>
      <mat-form-field appearance="fill" style="width: 70%">
        <mat-label>เบอร์โทรศัพท์</mat-label>
        <input matInput  style="color: #1d6a96" disabled value="{{user[0].phone}}">
      </mat-form-field>
    </p>
    <p>
      <mat-form-field appearance="fill" style="width: 70%">
        <mat-label> ID Line</mat-label>
        <input matInput style="color: #1d6a96" disabled value="{{user[0].id_line}}" >
      </mat-form-field>
    </p>
    <p>
      <mat-form-field appearance="fill" style="width: 70%">
        <mat-label>Facebook</mat-label>
        <input matInput  style="color: #1d6a96" disabled value="{{user[0].facebook}}" >
      </mat-form-field>
    </p>
    <p>
      <mat-form-field appearance="fill" style="width: 70%">
        <mat-label>รายละเอียดอื่น ๆ</mat-label>
        <textarea cols="50" rows="3" matInput  style="color: #1d6a96"
        disabled value="{{user[0].cus_detail}}" ></textarea>
      </mat-form-field>
    </p>


    <button mat-raised-button (click)="openModalProfile(Profile)"
      style="background: #1d6a96 ; color: snow;">แก้ไขข้อมูลส่วนตัว</button>
  </form>
</div>



<!-- <ng-template #Profile let-modal>
  <div class="modal-header">
    <h4 class="modal-title">แก้ไขข้อมูลส่วนตัว</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body" [formGroup]="updateprofile">

    <p>
      <mat-form-field appearance="fill">
        <mat-label>ชื่อ</mat-label>
        <input matInput formControlName="fname" style="color: #1d6a96" [(ngModel)]="user[0].fname">
      </mat-form-field>
      <mat-form-field appearance="fill" style="margin-left: 10px">
        <mat-label>นามสกุล</mat-label>
        <input matInput formControlName="fname" style="color: #1d6a96" [(ngModel)]="user[0].lname">
      </mat-form-field>
    </p>

    <p>
      <mat-form-field appearance="fill" style="width: 80%">
        <mat-label>เบอร์โทรศัพท์</mat-label>
        <input matInput formControlName="phone" style="color: #1d6a96" [(ngModel)]="user[0].phone">
      </mat-form-field>
    </p>
    <p>
      <mat-form-field appearance="fill" style="width: 80%">
        <mat-label> ID Line</mat-label>
        <input matInput formControlName="id_line" style="color: #1d6a96" [(ngModel)]="user[0].id_line">
      </mat-form-field>
    </p>
    <p>
      <mat-form-field appearance="fill" style="width: 80%">
        <mat-label>Facebook</mat-label>
        <input matInput formControlName="facebook" style="color: #1d6a96" [(ngModel)]="user[0].facebook">
      </mat-form-field>
    </p>
    <p>
      <mat-form-field appearance="fill" style="width: 100%">
        <mat-label>รายละเอียดอื่น ๆ</mat-label>
        <textarea cols="50" rows="3" matInput formControlName="cus_detail" style="color: #1d6a96"
          [(ngModel)]="user[0].cus_detail"></textarea>
      </mat-form-field>
    </p>
  </div>
  <div class="modal-footer">
    <button mat-raised-button (click)="modal.close('Close click')">ยกเลิก</button>
    <button mat-raised-button (click)="onDeleteLoc()" style="background-color: #1d6a96;color: snow">บันทึก</button>
  </div>
</ng-template> -->